Bug 113483 - rhn_register errors when specifying a satellite server
Summary: rhn_register errors when specifying a satellite server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rhn_register (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-14 14:29 UTC by Jody Steadman
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 19:57:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jody Steadman 2004-01-14 14:29:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
Traceback (innermost last):
  File "/usr/sbin/rhnreg_ks", line 326, in ?
    main()
  File "/usr/sbin/rhnreg_ks", line 289, in main
    hardwareList = hardware.Hardware()
  File "/usr/share/rhn/register/hardware.py", line 375, in Hardware
    ret = read_network()
  File "/usr/share/rhn/register/hardware.py", line 297, in read_network
    hostname, ipaddr = findHostByRoute()
  File "/usr/share/rhn/register/hardware.py", line 274, in findHostByRoute
    s.connect((server, 80))
socket.error: (113, 'No route to host')

Printing the server variable in findHostByRoute() shows
xmlrpc.rhn.redhat.com as the server even when a different server is
specified in the files /etc/sysconfig/rhn/up2date and
/etc/sysconfig/rhn/rhn_register.

Placing an entry for xmlrpc.rhn.redhat.com in /etc/hosts (pointing to
the satellite server IP address) allows the registration process to
complete.

Adrian assisted with the debugging.

Version-Release number of selected component (if applicable):
rhn_register-2.9.2-1.2.1AS

How reproducible:
Didn't try


Additional info:

Comment 1 Adrian Likins 2004-09-02 19:57:20 UTC
This should be fixed with rhel2.1-u5 (rhn_register-2.9.12,
up2date-2.9.14)


Note You need to log in before you can comment on or make changes to this bug.